Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.ede.impl
Class StreamingEventObject

    java.lang.Object
      |
      +--com.bea.wlrt.ede.impl.StreamingEventObject

public class StreamingEventObject
extends Object
implements StreamingEvent

Standard class for the representation of streaming events. One may or may not use it to wrap the application events.

Constructor Summary
`StreamingEventObject(EventType eventType, long id, long externalTimestamp, long[] causes, long[] triggers, Map content)`
`StreamingEventObject(EventType eventType, long id, long timestamp, Map content)`
`StreamingEventObject(Map content)`

Method Summary
`void` | `addEnterTimestamp(String id, long timestamp, TimeUnit unit)`
`void` | `addExitTimestamp(String id, long timestamp, TimeUnit unit)`
`Object` | `get(String propertyName)`
`long` | `getEndTimestamp()`
`long` | `getEnterTimestamp(String id)`
`EventType` | `getEventType()`
`long` | `getExitTimestamp(String id)`
`long` | `getId()`
`String` | `getSource()`
`long` | `getStartTimestamp()`
`TimeUnit` | `getTimeUnit()`
`Object` | `getUnderlying()`
`void` | `setSource(String source)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StreamingEventObject

    public StreamingEventObject(EventType eventType,
                                long id,
                                long externalTimestamp,
                                long[] causes,
                                long[] triggers,
                                Map content)

### StreamingEventObject

    public StreamingEventObject(EventType eventType,
                                long id,
                                long timestamp,
                                Map content)

### StreamingEventObject

    public StreamingEventObject(Map content)

Method Detail

### getId

    public long getId()

  Specified by:
    getId in interface StreamingEvent

### getEventType

    public EventType getEventType()

  Specified by:
    getEventType in interface StreamingEvent

### get

    public Object get(String propertyName)

  Specified by:
    get in interface StreamingEvent

### getUnderlying

    public Object getUnderlying()

  Specified by:
    getUnderlying in interface StreamingEvent

### toString

    public String toString()

  Overrides:
    toString in class Object

### getSource

    public String getSource()

### setSource

    public void setSource(String source)

### addEnterTimestamp

    public void addEnterTimestamp(String id,
                                  long timestamp,
                                  TimeUnit unit)

### addExitTimestamp

    public void addExitTimestamp(String id,
                                 long timestamp,
                                 TimeUnit unit)

### getEndTimestamp

    public long getEndTimestamp()

### getEnterTimestamp

    public long getEnterTimestamp(String id)

### getExitTimestamp

    public long getExitTimestamp(String id)

### getStartTimestamp

    public long getStartTimestamp()

### getTimeUnit

    public TimeUnit getTimeUnit()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD